/*
    PÁGINA DE CONTACTO Y SOPORTE TÉCNICO

    Mirar las paginas principales para ver
    la explicación de ciertos atributos comunes:
    - index.html
    - reviews.html

*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

header {
    grid-area: header;
}

#subheader {
    grid-area: subheader;
}

nav {
    grid-area: nav;
}

main {
    grid-area: main;
}

footer {
    grid-area: footer;
}


body {
    color: white;
    background-color: rgb(56, 55, 55);
    place-items: start center;
    display: grid;
    grid-template-areas:
        "header"
        "main"
        "footer";
    grid-template-rows: 6vh auto 45vh;
    grid-template-columns: 1fr;
    font-size: 1.1em;
}

header {
    height: 6vh;
    width: 100%;
    position: fixed;
}


nav {
    width: 70vw;
    position: fixed;
    bottom: 0;
    z-index: 100;
}

main {
    padding: 20px;
    width: 100%;
}

form {
    max-width: 700px;
    margin: auto;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

form fieldset {
    flex-grow: 1;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

form fieldset div {
    padding: 5px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

form fieldset textarea {
    flex-grow: 6;
}

form input {
    padding: 8px;
}

/*
    ACCIONES DEL FORMULARIO
    botones de envío y limpiar campos
*/
input[type="submit"] {
    background-color: #984caf;
    border-color: transparent;
    color: white;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 0 10px 1px #45a049;
    transition: all .3s;
}

input[type="submit"]:hover {
    background-color: #71ad3a;
    transform: scale(1.1);
    box-shadow: 0 0 10px 1px #984caf;

}

input[type="reset"] {
    background-color: #af824c;
    border-color: transparent;
    color: white;
    cursor: pointer;
    border-radius: 10px;
    box-shadow: 0 0 10px 1px #45a049;
    transition: all .3s;
}

input[type="reset"]:hover {
    background-color: #5176c0;
    transform: scale(1.1);
    box-shadow: 0 0 10px 1px #984caf;

}

.Actions input {
    font-size: 1.1em;
}

.Actions {
    margin: auto;
    width: 50%;
    max-height: 150px;
    min-height: 100px;
    min-width: fit-content;
    max-width: 500px;
    display: flex;
    justify-content: center;
    gap: 30px;
    padding: 10px;
}

footer {
    height: 100%;
    width: 100%;
}


/*
    pantallas grandes

    Mostramos dos columnas
    Recordar que al estar fija
    la barra de navegación es mejor
    darle un alto y ancho
*/
@media (min-width: 1280px) {
    body {
        place-items: start center;
        grid-template-areas:
            "header header"
            "nav main"
            "footer footer";
        grid-template-columns: 15fr 85fr;
        grid-template-rows: 6vh auto auto;
    }


    nav {
        position: fixed;
        width: fit-content;
        height: fit-content;
        top: 7.5vh;
        left: 20px;
    }

    .Actions input {
        flex-grow: 1;
    }

}